with GNATCOM.IInterface;

package MSHTML.ISegmentList_Interface is

   type ISegmentList_Type is
     new GNATCOM.IInterface.Interface_Type with null record;

   procedure Initialize (This : in out ISegmentList_Type);

   function Pointer (This : ISegmentList_Type)
     return Pointer_To_ISegmentList;

   procedure Attach (This    : in out ISegmentList_Type;
                     Pointer : in     Pointer_To_ISegmentList);

   procedure CreateIterator
     (This    : ISegmentList_Type;
      ppIIter : Pointer_To_Pointer_To_ISegmentListIterator);

   procedure GetType
     (This   : ISegmentList_Type;
      peType : Pointer_To_uSELECTION_TYPE);

   procedure IsEmpty
     (This    : ISegmentList_Type;
      pfEmpty : GNATCOM.Types.Pointer_To_long);

end MSHTML.ISegmentList_Interface;

